form_win(3X)

NAME
form_win - make and break form window and subwindow associations

SYNOPSIS
#include <form.h>

int set_form_win(FORM *form, WINDOW *win);
WINDOW *form_win(const FORM *form);

int set_form_sub(FORM *form, WINDOW *sub);
WINDOW *form_sub(const FORM *form);

int scale_form(const FORM *form, int *rows, int *columns);

DESCRIPTION
Every form has an associated pair of curses windows. The form window displays any title and border associated with the window; the form subwindow displays the items of the form that are currently available for selection.

The first four functions get and set those windows. It is not necessary to set either window; by default, the driver code uses stdscr for both.

In the set_ functions, window argument of NULL is treated as though it were stsdcr. A form argument of NULL is treated as a request to change the system default form window or subwindow.

The function scale_form returns the minimum size required for the subwindow of form.

RETURN VALUE
Routines that return pointers return NULL on error. Routines that return an integer return one of the following error codes:

E_OK
    The routine succeeded.

E_SYSTEM_ERROR
    System error occurred (see errno(3)).

E_BAD_ARGUMENT
    Routine detected an incorrect or out-of-range argument.

E_POSTED
    The form has already been posted.

E_NOT_CONNECTED
    No items are connected to the form.

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.

SEE ALSO
curses(3X), curs_variables(3X), form(3X)